javax.websocket

## Class ContainerProvider

- java.lang.Object
- - javax.websocket.ContainerProvider

-     public abstract class ContainerProvider
      extends java.lang.Object

  Use the `ServiceLoader` mechanism to provide instances of the WebSocket client container.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract WebSocketContainer` | `getContainer()`
    `static WebSocketContainer` | `getWebSocketContainer()` Create a new container used to create outgoing WebSocket connections.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerProvider

          public ContainerProvider()

  - ### Method Detail

    - #### getWebSocketContainer

          public static WebSocketContainer getWebSocketContainer()

      Create a new container used to create outgoing WebSocket connections.
      Returns:
        A newly created container.

    - #### getContainer

          protected abstract WebSocketContainer getContainer()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.